Skip to main content
Get Optimization With Job
curl --request GET \
  --url https://api.ionworks.com/optimize/{id}
{
  "optimization": {
    "id": "<string>",
    "job_id": "<string>",
    "project_id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "user_id": "<string>",
    "cell_spec_id": "<string>",
    "parameterized_model_id": "<string>",
    "optimization_template_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by_email": "<string>",
    "organization_id": "<string>"
  },
  "job": {
    "job_id": "<string>",
    "job_type": "dummy",
    "status": "pending",
    "priority": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "user_id": "<string>",
    "organization_id": "<string>",
    "is_terminal": true,
    "is_failed": true,
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "compute_time": 123,
    "error": "<string>",
    "error_code": "EXECUTION_TIMEOUT",
    "result": {},
    "callback_url": "<string>",
    "parent_job_id": "<string>",
    "project_id": "<string>",
    "access_level": "organization",
    "params_path": "<string>",
    "metadata_path": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Response

Successful Response

Single optimization and its linked job (for get-one responses).

optimization
Optimization · object
required

Pydantic model for the optimizations table.

job
JobResponse · object
required

Schema for job information response